package com.zztrapp.zztrapp.ui.index.activity;

import android.view.View;

import com.zztrapp.zztrapp.base.BaseActivity;
import com.zztrapp.zztrapp.bean.BfjPageListBean;
import com.zztrapp.zztrapp.databinding.ActivityBfjListDetailBinding;

/**
 * Describe 报废井详情
 * Created by Bby on 2022/7/17
 * Email bby0856@163.com
 */
public class BfjListDetailActivity extends BaseActivity {

    private ActivityBfjListDetailBinding binding;
    private BfjPageListBean.RecordsBean detail;

    @Override
    public View getLayoutId() {
        return binding.getRoot();
    }

    @Override
    protected void initBinding() {
        binding = ActivityBfjListDetailBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void init() {
        binding.navView.navTitle.setText(getIntent().getStringExtra("navName"));
        binding.navView.navBack.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                finish();
            }
        });
        detail = (BfjPageListBean.RecordsBean) getIntent().getSerializableExtra("detail");

        binding.fqjbh.setText(detail.getFqjbh());
        binding.mc.setText(detail.getMc());
        binding.ysbm.setText(detail.getYsbm());
        binding.ssdw.setText(detail.getSsdw());
        binding.fqjlx.setText(detail.getFqjlx());
        binding.fqjjb.setText(detail.getFqjjb());
        binding.jjsj.setText(detail.getJjsj());
        binding.fqsj.setText(detail.getFqsj());
        binding.fqyy.setText(detail.getFqyy());
        binding.countyName.setText(detail.getCountyName());
        binding.streetName.setText(detail.getStreetName());
        binding.cjmph.setText(detail.getCjmph());
        binding.lxr.setText(detail.getLxr());
        binding.lxdh.setText(detail.getLxdh());
        binding.jd.setText(detail.getJd());
        binding.wd.setText(detail.getWd());
        binding.jtjbqk.setText(detail.getJtjbqk());
        binding.tbr.setText(detail.getTbr());
        binding.pcr.setText(detail.getPcr());
        binding.tbsj.setText(detail.getTbsj());
    }

    @Override
    protected void initOnClick() {
    }
}